Debian Bug report logs - #550991
gnome-nettool: finger utility does not work (sends no packets)

version graph

Package: gnome-nettool; Maintainer for gnome-nettool is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-nettool is src:gnome-nettool.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Wed, 14 Oct 2009 17:39:01 UTC

Severity: normal

Tags: confirmed, fixed-upstream, upstream

Found in versions gnome-nettool/2.28.0-1, gnome-nettool/2.28.0-2

Fixed in version gnome-nettool/3.1.1-1

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=611408, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=653637

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#550991; Package gnome-nettool. (Wed, 14 Oct 2009 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 14 Oct 2009 17:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-nettool: finger utility does not work (sends no packets)
Date: Wed, 14 Oct 2009 17:29:59 +0000
[Message part 1 (text/plain, inline)]
Package: gnome-nettool
Version: 2.28.0-1
Severity: normal

gnome-nettool's finger functionality does not work.  If I try to finger
bmc@crustytoothpaste.ath.cx or amu@monk.mit.edu (or anyone else, for
that matter), it sends no packets, and produces only the output:

  Login    Name                 TTY      Idle   When             Where

For local fingering, such as simply "bmc", it doesn't print the output
that the finger output would, but only a list of logged-in sessions.  I
mention this not to conflate two separate issues, but because I think
they might be related.  In fact, AFAICT, the username box is completely
ignored.

At the console, gnome-nettool prints the following:

  lakeview ok % gnome-nettool
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): GLib-GObject-WARNING **: invalid cast from `GtkToggleAction' to `GtkWidget'
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed
  
  (gnome-nettool:28775): Gtk-CRITICAL **: gtk_entry_set_text: assertion `text != NULL' failed

gnome-nettool should properly print the same output as finger(1), at
least when querying remote machines.  If you need more information,
please let me know.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-nettool depends on:
ii  dnsutils               1:9.6.1.dfsg.P1-3 Clients provided with BIND
ii  iputils-ping [ping]    3:20071127-2      Tools to test the reachability of 
ii  libc6                  2.9-27            GNU C Library: Shared libraries
ii  libgconf2-4            2.28.0-1          GNOME configuration database syste
ii  libglib2.0-0           2.22.2-2          The GLib library of C routines
ii  libgtk2.0-0            2.18.2-1          The GTK+ graphical user interface 
ii  libgtop2-7             2.28.0-1          gtop system monitoring library (sh
ii  libpango1.0-0          1.26.0-1          Layout and rendering of internatio
ii  net-tools              1.60-23           The NET-3 networking toolkit
ii  traceroute             2.0.12-3          Traces the route taken by packets 
ii  whois                  4.7.36            an intelligent whois client

gnome-nettool recommends no packages.

Versions of packages gnome-nettool suggests:
ii  gnome-system-tools            2.28.0-1   Cross-platform configuration utili

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions gnome-nettool/2.28.0-2. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sun, 28 Feb 2010 13:24:10 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sun, 28 Feb 2010 13:24:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#550991; Package gnome-nettool. (Sun, 28 Feb 2010 13:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <simon.paillard@resel.enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 28 Feb 2010 13:48:07 GMT) Full text and rfc822 format available.

Message #14 received at 550991@bugs.debian.org (full text, mbox):

From: Simon Paillard <simon.paillard@resel.enst-bretagne.fr>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 550991@bugs.debian.org
Subject: Re: Bug#550991: gnome-nettool: finger utility does not work (sends no packets)
Date: Sun, 28 Feb 2010 14:45:14 +0100
tag 550991 +upstream
notfound 550991 2.22.1-1
thanks

On Wed, Oct 14, 2009 at 05:29:59PM +0000, brian m. carlson wrote:
> Package: gnome-nettool
> Version: 2.28.0-1
> Severity: normal
> 
> gnome-nettool's finger functionality does not work.  If I try to finger
> bmc@crustytoothpaste.ath.cx or amu@monk.mit.edu (or anyone else, for
> that matter), it sends no packets, and produces only the output:
> 
>   Login    Name                 TTY      Idle   When             Where

This seems to be a regression since 2.22.1-1, after the switch to pinky
as finger program, introduced after the resolution of:
https://bugzilla.gnome.org/show_bug.cgi?id=549588
commit a9eaa17cdae8563e19e1afc2aebe64e534a4da85
2008-12-04 02:56 German Poo-Caamano  Fixed #549588. Try to use pinky
instead of finger. Use finger as fallback.

$ pinky amu@monk.mit.edu
Login    Name                 TTY      Idle   When         Where

It doesn't seem pinky is able to do the same job as finger does.
 
> For local fingering, such as simply "bmc", it doesn't print the output
> that the finger output would, but only a list of logged-in sessions.  I
> mention this not to conflate two separate issues, but because I think
> they might be related.  In fact, AFAICT, the username box is completely
> ignored.


-- 
Simon Paillard




Added tag(s) upstream. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sun, 28 Feb 2010 13:48:11 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=611408'. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sun, 28 Feb 2010 15:24:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:49 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=611408, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=653637' from 'https://bugzilla.gnome.org/show_bug.cgi?id=611408' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 01 Aug 2011 17:03:34 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 01 Aug 2011 17:03:35 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Sun, 01 Apr 2012 10:36:04 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Sun, 01 Apr 2012 10:36:19 GMT) Full text and rfc822 format available.

Message #29 received at 550991-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 550991-close@bugs.debian.org
Subject: Bug#550991: fixed in gnome-nettool 3.1.1-1
Date: Sun, 01 Apr 2012 10:33:01 +0000
Source: gnome-nettool
Source-Version: 3.1.1-1

We believe that the bug you reported is fixed in the latest version of
gnome-nettool, which is due to be installed in the Debian FTP archive:

gnome-nettool_3.1.1-1.debian.tar.gz
  to main/g/gnome-nettool/gnome-nettool_3.1.1-1.debian.tar.gz
gnome-nettool_3.1.1-1.dsc
  to main/g/gnome-nettool/gnome-nettool_3.1.1-1.dsc
gnome-nettool_3.1.1-1_amd64.deb
  to main/g/gnome-nettool/gnome-nettool_3.1.1-1_amd64.deb
gnome-nettool_3.1.1.orig.tar.xz
  to main/g/gnome-nettool/gnome-nettool_3.1.1.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550991@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated gnome-nettool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Apr 2012 10:55:45 +0200
Source: gnome-nettool
Binary: gnome-nettool
Architecture: source amd64
Version: 3.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 gnome-nettool - network information tool for GNOME
Closes: 550991 598848
Changes: 
 gnome-nettool (3.1.1-1) unstable; urgency=low
 .
   * New upstream release.
     - finger should work again (closes: #550991).
   * Watch for unstable versions too, as nettool doesn't seem to be
     following GNOME versioning strictly.
   * Depend on nmap for port scanning, and finger.
   * Update to debhelper v9.
   * Drop usage of dh_buildinfo.
   * Drop usage of DH_ALWAYS_EXCLUDE, using a modern dpkg should be enough.
   * Rewrite copyright file in machine-readable format 1.0.
   * Bump Standards-Version to 3.9.3.
   * Stop building gnome-nettool for kFreeBSD architectures (closes: #598848).
Checksums-Sha1: 
 b39be10823c4c5eb9ad2e4a52f27526b734e9cc3 1630 gnome-nettool_3.1.1-1.dsc
 f822d3c34594e92df939c876a5793a37f2c733ec 583800 gnome-nettool_3.1.1.orig.tar.xz
 75aad492f9f2b40abf51090e2e7dc30dca898a8d 8164 gnome-nettool_3.1.1-1.debian.tar.gz
 6795f5e23fcd171b694c05157765712df173ea59 496664 gnome-nettool_3.1.1-1_amd64.deb
Checksums-Sha256: 
 f580157ae80b37b5e8592bac110215862cdb1e58c944bd4b60a4a9236c1decb0 1630 gnome-nettool_3.1.1-1.dsc
 1e0430c94084484f234864c160e6252552d54bb72c163d3e451641045429901c 583800 gnome-nettool_3.1.1.orig.tar.xz
 4bf914566490ded8f0da11a48d168cd00475f3ff212821b5735ecbe31b5ca52a 8164 gnome-nettool_3.1.1-1.debian.tar.gz
 63c5f7644c769252afce80b106f46aab0e8b943e585f3dc0577e623de7fe47aa 496664 gnome-nettool_3.1.1-1_amd64.deb
Files: 
 13e2bc26af6320a2a2018bccca198389 1630 gnome optional gnome-nettool_3.1.1-1.dsc
 ed33d33472e29e648d2605ab8ac1bcbb 583800 gnome optional gnome-nettool_3.1.1.orig.tar.xz
 d0c6137fc6697f9d09e67abbda6212ee 8164 gnome optional gnome-nettool_3.1.1-1.debian.tar.gz
 263f25ebc444821f20f9e5a5fe181252 496664 gnome optional gnome-nettool_3.1.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk94KwUACgkQJYSUupF6Il5mwQCg2bO6FJjOhagiZsJ1MAIVeCsG
qXsAniE8jMngkPeT+8Zrd88IrMTVZ5WO
=y17+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 May 2012 07:44:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:26:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.